Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.util
Class Calendar

    java.lang.Object
      com.pmease.quickbuild.util.Calendar

public class Calendar
extends java.lang.Object

Resolve calendar related values to OGNL expressions.

Author:
  Robin Shine

Constructor Summary
`Calendar()`

Method Summary
`java.lang.String` | `getDayOfMonth()` OGNL: Get day of month, possible values are 01 to 31
`java.lang.String` | `getDayOfWeek()` OGNL: Get day of week, for example: Mon, Sat, etc.
`java.lang.String` | `getDayOfYear()` OGNL: Get day of year, possible values are 1 to 365
`java.lang.String` | `getHour()` OGNL: Get hour, possible values are 00 to 23
`java.lang.String` | `getMinute()` OGNL: Get minute, possible values are 00 to 59
`java.lang.String` | `getMonth()` OGNL: Get month, for example: Jan, Feb, ...
`java.lang.String` | `getNumericDayOfWeek()` OGNL: Get numeric day of week, possible values are 1 to 7
`java.lang.String` | `getNumericMonth()` OGNL: Get numeric month, possible values are 01 to 12
`java.lang.String` | `getSecond()` OGNL: Get second, possible values are 00 to 59
`java.lang.String` | `getShortYear()` OGNL: Get short representation of year, for example: 05, 06, ...
`java.lang.String` | `getWeekOfYear()` OGNL: Get week of year, for example: 1, 2, ...
`java.lang.String` | `getYear()` OGNL: Get year, for example: 2005, 2006, ...

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Calendar

    public Calendar()

Method Detail

### getDayOfMonth

    public java.lang.String getDayOfMonth()

  OGNL: Get day of month, possible values are 01 to 31

  Returns:

### getDayOfWeek

    public java.lang.String getDayOfWeek()

  OGNL: Get day of week, for example: Mon, Sat, etc.

  Returns:

### getNumericDayOfWeek

    public java.lang.String getNumericDayOfWeek()

  OGNL: Get numeric day of week, possible values are 1 to 7

  Returns:

### getDayOfYear

    public java.lang.String getDayOfYear()

  OGNL: Get day of year, possible values are 1 to 365

  Returns:

### getHour

    public java.lang.String getHour()

  OGNL: Get hour, possible values are 00 to 23

  Returns:

### getMinute

    public java.lang.String getMinute()

  OGNL: Get minute, possible values are 00 to 59

  Returns:

### getSecond

    public java.lang.String getSecond()

  OGNL: Get second, possible values are 00 to 59

  Returns:

### getMonth

    public java.lang.String getMonth()

  OGNL: Get month, for example: Jan, Feb, ...

  Returns:

### getNumericMonth

    public java.lang.String getNumericMonth()

  OGNL: Get numeric month, possible values are 01 to 12

  Returns:

### getWeekOfYear

    public java.lang.String getWeekOfYear()

  OGNL: Get week of year, for example: 1, 2, ...

  Returns:

### getYear

    public java.lang.String getYear()

  OGNL: Get year, for example: 2005, 2006, ...

  Returns:

### getShortYear

    public java.lang.String getShortYear()

  OGNL: Get short representation of year, for example: 05, 06, ...

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.